#include "widget.h"

Widget::Widget(QWidget *parent)
    : QWidget(parent)
{

}

Widget::~Widget()
{

}

void Widget::paintEvent(QPaintEvent *){
    QPainterPath path;
    QPointF      pt1(width(), height() / 2);
    QPointF      pt2(width() / 2, -height());
    QPointF      pt3(width() / 2, 2 * height());
    QPointF      pt4(0, height() / 2);

    QPainter painter(this);
    painter.setRenderHint(QPainter::Antialiasing, true);
    painter.setPen(QPen(Qt::blue, 6));
    painter.drawEllipse(QRect(10, 20, 80, 60));
}
